/****************************************************************************************************

		IZoneProp.h
		Copyright: (c) 2007 DAZ Productions. All rights reserved.

		Author:	Eric
		Date:	7/2/2007

****************************************************************************************************/

#ifndef __IZoneProp__
#define __IZoneProp__

#if CP_PRAGMA_ONCE
#pragma once
#endif

#include "NaturalSpline.h"

MCDEFINE_GUID_H(IID_ISphereZoneProp);
MCDEFINE_GUID_H(IID_ISphereZoneProp0);



struct ISphereZoneProp : public IMCUnknown
{
	virtual void SetRadius(real32 radius) = 0;
	virtual void SetFallOffCurve(const TNaturalSpline& curve) = 0;
};

struct ISphereZoneProp0 : public IMCUnknown
{
	virtual real32 MCCOMAPI GetRadius() const = 0;
	virtual const TNaturalSpline& MCCOMAPI GetFallOffCurve() const = 0;
};
#endif
